Deep Picker Inference error

Hi,

I’m testing the Deep Picker and could run the Deep Train without problems, but get this error when using the inputs for Deep Inference:

[CPU: 2.90 GB]   Traceback (most recent call last):
  File "/data/loewith/tafurpet/software/cryosparc/cryosparc_worker/deps/anaconda/envs/cryosparc_worker_env/lib/python3.7/site-packages/PIL/ImageFile.py", line 510, in _save
    fh = fp.fileno()
AttributeError: '_idat' object has no attribute 'fileno'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "cryosparc_worker/cryosparc_compute/run.py", line 84, in cryosparc_compute.run.main
  File "cryosparc_worker/cryosparc_compute/jobs/deep_picker/run_deep_picker.py", line 535, in cryosparc_compute.jobs.deep_picker.run_deep_picker.run_deep_picker_inference
  File "cryosparc_worker/cryosparc_compute/jobs/deep_picker/deep_picker_utils.py", line 861, in cryosparc_compute.jobs.deep_picker.deep_picker_utils.picker_extract_worker
  File "cryosparc_worker/cryosparc_compute/jobs/deep_picker/deep_picker_utils.py", line 866, in cryosparc_compute.jobs.deep_picker.deep_picker_utils.picker_extract_worker
  File "cryosparc_worker/cryosparc_compute/jobs/deep_picker/deep_picker_utils.py", line 819, in cryosparc_compute.jobs.deep_picker.deep_picker_utils.picker_extract_worker._do_picking
  File "/data/loewith/tafurpet/software/cryosparc/cryosparc_worker/cryosparc_compute/micrograph_plotutils.py", line 97, in showarray
    PIL.Image.fromarray(newa, 'RGBA' if cmap is not None else None).save(f, fmt)
  File "/data/loewith/tafurpet/software/cryosparc/cryosparc_worker/deps/anaconda/envs/cryosparc_worker_env/lib/python3.7/site-packages/PIL/Image.py", line 2151, in save
    save_handler(self, fp, filename)
  File "/data/loewith/tafurpet/software/cryosparc/cryosparc_worker/deps/anaconda/envs/cryosparc_worker_env/lib/python3.7/site-packages/PIL/PngImagePlugin.py", line 1339, in _save
    ImageFile._save(im, _idat(fp, chunk), [("zip", (0, 0) + im.size, 0, rawmode)])
  File "/data/loewith/tafurpet/software/cryosparc/cryosparc_worker/deps/anaconda/envs/cryosparc_worker_env/lib/python3.7/site-packages/PIL/ImageFile.py", line 518, in _save
    e.setimage(im.im, b)
SystemError: tile cannot extend outside image

Any help would be greatly appreciated!

2 Likes

I get the exact same error when trying the deep picker out on micrographs collected on a krios in superres mode. Training works fine but the inference job fails.

Me too! Fine during training, but same error during inference. Does anyone have any idea what causes this?

I’m getting the same behavior. Has a solution to this been found yet?

1 Like